
// SDKLog object defines
#ifndef _INC_SDKLog
#define _INC_SDKLog
typedef enum {
	EVENTTYPE_UNKNOWN = 0,
	EVENTTYPE_LGFOLDER,
	EVENTTYPE_FAX,
	EVENTTYPE_VOICE,
	EVENTTYPE_PBFOLDER,
	EVENTTYPE_USER,
	EVENTTYPE_GROUP,
	EVENTTYPE_CALL,			// Record is a call.
	EVENTTYPE_PAGERNOTITY,	// Record is a pager notification
	EVENTTYPE_VOICENOTIFY,	// Record is a voice notification
} TSDKEventType;

// The log standardFolder arguments (short) in the methods are defined as below:
typedef enum {
	STANDARDFOLDER_NONE = 0, // Don't specify standard folder.
	STANDARDFOLDER_RESERVED1,
	STANDARDFOLDER_FAXTALK_LOG,
	STANDARDFOLDER_FAXTALK_RECEIVELOG,
	STANDARDFOLDER_RESERVED2,
	STANDARDFOLDER_RESERVED3,
	STANDARDFOLDER_FAXTALK_OUTBOX,
	STANDARDFOLDER_RESERVED4,
} TSDKStandardFolder;

typedef enum {
	SDKLOGERROR_NOERROR = 0,
	SDKLOGERROR_NOENTRYID,		// A required entry ID was not specified.
	SDKLOGERROR_BADENTRYID,		// Could not get/set entry ID.
	SDKLOGERROR_BADDATASTRUCT,	// Could not create internal data layer structure.
	SDKLOGERROR_BADFILESPEC,	// Bad file name or file not found.
	SDKLOGERROR_CANTSETFOLDER,	// Could not change to specified folder.
	SDKLOGERROR_CANTGETCOUNTER,	// Could not invoke the object counter.
	SDKLOGERROR_CANTENUMERATE,	// Internal enumeration error.
	SDKLOGERROR_CANTREMOVE,		// Error removing the specified object.
	SDKLOGERROR_CANTADD,		// Error adding the specified object.
	SDKLOGERROR_WRONGEVENTTYPE,	// Wrong type of event for this operation.
	SKDLOGERROR_NOFAPIHANDLE,
	SDKLOGERROR_DBLOCKFAILED,
	SDKLOGERROR_NOFOLDERSELECTED,
} TSDKLogError;

typedef enum {
	EVENTSTATUS_READY = 0,
	EVENTSTATUS_SENDING = 1,
	EVENTSTATUS_PROCESSING = 2,
	EVENTSTATUS_ONHOLD = 3,
	EVENTSTATUS_FAILED = 4,
	EVENTSTATUS_READYNOW = 5,  // Ready--do not issue scheduler callback
	EVENTSTATUS_SENT = 6,
	EVENTSTATUS_FAILEDTRIES = 7,
} TSDKSendEventStatus;

typedef enum {
	RECVEVENTSTATUS_SENT = 0,					// Successful transmission
	RECVEVENTSTATUS_RECVED = 1,					// Successful reception
	RECVEVENTSTATUS_ERROR_GENERAL = 2,			// General failure
	RECVEVENTSTATUS_ERROR_FILESYS = 3,			// File system error
	RECVEVENTSTATUS_ERROR_NODIALTONE = 6,		// No dialtone
	RECVEVENTSTATUS_ERROR_BUSY = 7,				// Called number busy
	RECVEVENTSTATUS_ERROR_NOANSWER = 8,			// Called number did not answer
	RECVEVENTSTATUS_ERROR_SERIALFILE = 10,		// Serial comm error or file system error
	RECVEVENTSTATUS_ERROR_USERABORT = 11,		// User aborted transaction
	RECVEVENTSTATUS_ERROR_FILEFORMAT = 12,		// Fax format file not found
	RECVEVENTSTATUS_ERROR_NOBFT = 13,			// Attempted BFT send to non-BFT device
	RECVEVENTSTATUS_ERROR_FILEHANDLES = 14,		// Out of file handles
	RECVEVENTSTATUS_ERROR_DISKSPACE = 15,		// No disk space
	RECVEVENTSTATUS_ERROR_NO2D = 16,			// Attempted 2-D send to non-2-D device
	RECVEVENTSTATUS_ERROR_DATAMODEM = 17,		// Last incoming call was data modem
	RECVEVENTSTATUS_ERROR_CONVERT = 18,			// Failed to convert to/from FaxTalk format file. This error is a 
												// result of either not being able to locate a conversion utility,
												// or the utility returning an error code.
	RECVEVENTSTATUS_ERROR_MEMORY = 19,			// Memory allocation error--failed to allocate necessary memory
	RECVEVENTSTATUS_ERROR_COPYQUALITY = 20,		// Copy quality error while sending
	RECVEVENTSTATUS_ERROR_NOT6 = 21,			// Tried to send T.6 facsimile but other machine does not support
	RECVEVENTSTATUS_ERROR_ACCESSMODEM = 22,		// Data could not release port
	RECVEVENTSTATUS_ERROR_RETRYEXCEEDED = 23,	// Retry count exceeded
	RECVEVENTSTATUS_ERROR_DEVICEINIT = 24,		// Modem initialization failed
	RECVEVENTSTATUS_ERROR_REMOTECANCEL = 25,	// Remote canceled transaction
	RECVEVENTSTATUS_ERROR_DATAHANDOFF = 26,		// Incoming DATA call, but failed trying to hand off to data app.
	RECVEVENTSTATUS_ERROR_POLLING = 27,			// Failed to poll remote fax machine
	RECVEVENTSTATUS_ERROR_REMOTEBLACKLISTED = 28, // Fax remote station TSI is blacklisted
} TSDKRecvEventStatus;

typedef enum {
	FLAG_EXAMINED	= 0x0001,					// Indicate that record has been viewed/played/saved
	FLAG_PRINTED	= 0x0002,					// Indicate that record has been printed
	FLAG_FORWARDED	= 0x0004,					// Indicate that record has been forwarded
	FLAG_SENDITEM	= 0x0010,		// Indicate that record orriginated as a send item
	FLAG_RECEIVEITEM= 0x0020,		// Indicate that record orriginated as a receive item
	FLAG_MANUAL_MASK= 0x0100,		// This is a manual dial transaction
	FLAG_PRIVATE	= 0x0200,		// Indicate that this transaction is private and should be deleted after sending
	FLAG_FORCE_UPDATE=0x0400,		// Override checking of TDR status field during update
	FLAG_OFFPEEK	= 0x0800,		// Scheduled for off-peek period
	FLAG_SENDNOW	= 0x1000,		// Scheduled for sending now
	FLAG_FLAG_DELETED=0x8000		// Indicate that record has been deleted
} TSDKFlags;
#endif



