
// SDKSend object defines

// Possible error codes returned by GetLastError() include the following:
typedef enum {
	SDKSENDERROR_NOERROR = 0x00000000L,					// OK-Success.
	SDKSENDERROR_NOTHING_TO_SEND = 0x00000001L,			// No cover page or attachments in this send job.
	SDKSENDERROR_ADDR_EMPTY	= 0x00000002L,				// No address has been specified.
	SDKSENDERROR_NOENTRYID = 0x00000003L,				// A required entry ID was not specified.
	SDKSENDERROR_CANCEL_ON_FILLER = 0x00000004L,		// Cover page filler error.
	SDKSENDERROR_NO_ATTACHMENT_FOUND = 0x00000005L,		// The attachment was not found in the attachment database.
	SDKSENDERROR_NO_COVER_PAGE_FOUND = 0x00000006L,		// The cover page was not found in the cover page database.
	SDKSENDERROR_SET_CURRENT_RECIPIENT = 0x00000007L,	// Could not set the current recipient, most likely the index is out of range.
	SDKSENDERROR_NO_RECIPIENT_SENDJOB = 0x00000008L,	// No recipient was specified.
	SDKSENDERROR_TRANSPORT_TYPE	= 0x00000009L,			// Transport type error, most likely index or name out of range.
	SDKSENDERROR_SETGROUP_RECIPIENT = 0x0000000AL,		// Group recipient could not be set, most likely due to wrong group unique ID.
	SDKSENDERROR_SETUSER_RECIPIENT = 0x0000000BL,		// User recipient could not be set, most likely due to wrong user unique ID.
	SDKSENDERROR_SET_GROUP_RECIPIENT = 0x0000000CL,		// The unique ID could not be resolved to a group or a single user.
	SDKSENDERROR_COM = 0x0000000DL,						// A COM object/interface failed to be created.
	SDKSENDERROR_NUM_TOO_LONG = 0x00000010L,			// Number too long.
	SDKSENDERROR_BRD_WARNING = 0x00000020L,				// Broadcast error.
	SDKSENDERROR_BRD_INVALID = 0x00000040L,				// Broadcast invalid parameter.
	SDKSENDERROR_INTERNETFAX_NOPASSWD = 0x00000080L,	// No Internet Fax password.
	SDKSENDERROR_USER_CANCEL = 0x10000001L,				// The user cancelled the transaction from the Send dialog.
} TSDKSendError;


// The following defines are used to set the Flags parameter for the PHONEENTRY structure
typedef enum {
	SDKSENDRECIPIENTFLAGS_PASSWORD		= 0x0001,
	SDKSENDRECIPIENTFLAGS_DIALASLD		= 0x0002,
	SDKSENDRECIPIENTFLAGS_DIALASENTERED	= 0x0004
} TSDKSendRecipientFlags;